'use strict';

const { Adw, Gio, Gtk } = imports.gi;

const ExtensionUtils = imports.misc.extensionUtils;
const Me = ExtensionUtils.getCurrentExtension();

function init() {
}

function fillPreferencesWindow(window) {
	// Use the same GSettings schema as in `extension.js`
	const settings = ExtensionUtils.getSettings('org.gnome.shell.extensions.docker');

	const page = new Adw.PreferencesPage();
	const group = new Adw.PreferencesGroup();
	page.add(group);

	const row = new Adw.ActionRow({ title: 'Menu type' });
	group.add(row);

	const combobox = new Gtk.ComboBoxText();
	combobox.append("text", "Text");
	combobox.append("icons", "Icons");

	settings.bind(
		'menu-type',
		combobox,
		'active-id',
		Gio.SettingsBindFlags.DEFAULT
	);

	row.add_suffix(combobox);
	row.activatable_widget = combobox;

	// Add our page to the window
	window.add(page);
}
